apiVersion: v1
kind: Service
metadata:
  name: knck-app
spec:
  selector:
    app: knck-app
  ports:
    - name: frontend
      protocol: TCP
      port: 80
      targetPort: 80
    - name: backend
      protocol: TCP
      port: 3001
      targetPort: 3001
  type: ClusterIP 